local tabs = {}

local function OnEvent(self, event)
	ShowGarrisonLandingPage(Enum.GarrisonType.Type_7_0)
	HideUIPanel(GarrisonLandingPage)
end

local f = CreateFrame("Frame")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:SetScript("OnEvent", OnEvent)

local function SelectGarrison(self)
	HideUIPanel(GarrisonLandingPage) -- to make sure it updates
	ShowGarrisonLandingPage(self.pageID)
	if self.pageID == Enum.GarrisonType.Type_9_0 then
	GarrisonLandingPage.Report.Sections:Show()
	else
	GarrisonLandingPage.Report.Sections:Hide()
	end
end

hooksecurefunc('ShowGarrisonLandingPage', function(pageID)
	for _, Tab in next, tabs do
		local available = not not (C_Garrison.GetGarrisonInfo(Tab.pageID))
		Tab:SetEnabled(available)
		Tab:GetNormalTexture():SetDesaturated(not available)
		Tab:SetChecked(Tab.pageID == pageID)
	end
end)

local E = CreateFrame('Frame')
E:RegisterEvent('ADDON_LOADED')
E:SetScript('OnEvent', function(self, event, addon)
	if(addon == 'Blizzard_GarrisonUI') then
		for _, data in next, {
			{Enum.GarrisonType.Type_9_0, GARRISON_TYPE_9_0_LANDING_PAGE_TITLE, [[Interface\Icons\Achievement_Level_60]]},
			{Enum.GarrisonType.Type_8_0, GARRISON_TYPE_8_0_LANDING_PAGE_TITLE, [[Interface\Icons\Achievement_Level_50]]},
			{Enum.GarrisonType.Type_7_0, ORDER_HALL_LANDING_PAGE_TITLE, [[Interface\Icons\achievement_dungeon_tombofsargeras]]},
			{Enum.GarrisonType.Type_6_0, GARRISON_LANDING_PAGE_TITLE, [[Interface\Icons\Achievement_Level_40]]},
		} do
			local Tab = CreateFrame('CheckButton', nil, GarrisonLandingPage, 'SpellBookSkillLineTabTemplate')
			Tab:SetPoint('TOPRIGHT', 20, -(50 * (#tabs + 1)))
			Tab:SetNormalTexture(data[3])
			Tab:SetFrameStrata('LOW') -- appear behind to avoid gaps
			Tab:SetScript('OnClick', SelectGarrison)
			Tab:Show()
			Tab.pageID = data[1]
			Tab.tooltip = data[2]
			table.insert(tabs, Tab)
			--if Tab.pageID == Enum.GarrisonType.Type_9_0 then
			--Enum.GarrisonType.Type_9_0 then
			--GarrisonLandingPage.Report.Sections:Show()
			--else
			--GarrisonLandingPage.Report.Sections:Hide()
			--end
		end
		self:UnregisterEvent(event)
	end
	--GarrisonLandingPage:UpdateUIToGarrisonType()
end)